Skip to main content
GET
/
price
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', true);
{
  "price": 5.933132498211121,
  "priceQuote": 5.933132498211121,
  "liquidity": 288082694.430345,
  "marketCap": 5933128253.797433,
  "lastUpdated": 1760274023269
}

Documentation Index

Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', true);

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

token
string
required

The token address

priceChanges
boolean

Returns price change percentages up to 24 hours ago

Response

200 - application/json

Successful response

price
number
liquidity
number
marketCap
number
lastUpdated
integer